libgimpprint API Reference: stpi_channel_group_t struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# stpi_channel_group_t Struct Reference

## Data Fields
unsigned | channel_count
unsigned | total_channels
unsigned | input_channels
size_t | width
int | initialized
unsigned | ink_limit
unsigned | max_density
stpi_channel_t * | c
unsigned short * | input_data
unsigned short * | data
int | black_channel

## Field Documentation

int stpi_channel_group_t::black_channel

| Definition at line 71 of file channel.c. Referenced by stp_channel_add(), stp_channel_convert(), stp_channel_initialize(), and stp_channel_set_black_channel().

stpi_channel_t* stpi_channel_group_t::c

| Definition at line 68 of file channel.c. Referenced by clear_a_channel(), get_channel(), input_needs_splitting(), stp_channel_add(), stp_channel_convert(), stp_channel_initialize(), and stpi_channel_clear().

unsigned stpi_channel_group_t::channel_count

| Definition at line 61 of file channel.c. Referenced by clear_a_channel(), get_channel(), input_needs_splitting(), stp_channel_add(), stp_channel_convert(), stp_channel_initialize(), and stpi_channel_clear().

unsigned short* stpi_channel_group_t::data

| Definition at line 70 of file channel.c. Referenced by limit_ink(), stp_channel_convert(), stp_channel_get_output(), stp_channel_initialize(), and stpi_channel_clear().

int stpi_channel_group_t::initialized

| Definition at line 65 of file channel.c. Referenced by stp_channel_initialize(), and stpi_channel_clear().

unsigned stpi_channel_group_t::ink_limit

| Definition at line 66 of file channel.c. Referenced by limit_ink(), and stp_channel_set_ink_limit().

unsigned stpi_channel_group_t::input_channels

| Definition at line 63 of file channel.c. Referenced by input_needs_splitting(), stp_channel_convert(), stp_channel_initialize(), and stpi_channel_clear().

unsigned short* stpi_channel_group_t::input_data

| Definition at line 69 of file channel.c. Referenced by stp_channel_convert(), stp_channel_get_input(), stp_channel_initialize(), and stpi_channel_clear().

unsigned stpi_channel_group_t::max_density

| Definition at line 67 of file channel.c. Referenced by limit_ink(), and stp_channel_initialize().

unsigned stpi_channel_group_t::total_channels

| Definition at line 62 of file channel.c. Referenced by input_needs_splitting(), limit_ink(), stp_channel_convert(), stp_channel_initialize(), and stpi_channel_clear().

size_t stpi_channel_group_t::width

| Definition at line 64 of file channel.c. Referenced by limit_ink(), stp_channel_convert(), and stp_channel_initialize().

The documentation for this struct was generated from the following file:

- src/main/channel.c